Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Bernard Cafarelli (voyageur)" <voyageur@g.o>
Subject: gentoo-x86 commit in net-misc/nxserver-freeedition: nxserver-freeedition-3.0.0-r3.ebuild ChangeLog
Date: Wed, 19 Sep 2007 14:51:03 +0000
voyageur    07/09/19 14:51:03

  Modified:             nxserver-freeedition-3.0.0-r3.ebuild ChangeLog
  Log:
  Fix files installation mode, added check on postinst
  (Portage version: 2.1.3.9)

Revision  Changes    Path
1.3                  net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild?r1=1.2&r2=1.3

Index: nxserver-freeedition-3.0.0-r3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- nxserver-freeedition-3.0.0-r3.ebuild	18 Sep 2007 21:52:53 -0000	1.2
+++ nxserver-freeedition-3.0.0-r3.ebuild	19 Sep 2007 14:51:03 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild,v 1.2 2007/09/18 21:52:53 voyageur Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/nxserver-freeedition-3.0.0-r3.ebuild,v 1.3 2007/09/19 14:51:03 voyageur Exp $
 
 inherit eutils
 
@@ -56,8 +56,9 @@
 
 	newins etc/server-debian.cfg.sample server-gentoo.cfg.sample
 
-	insinto /usr/NX
-	doins -r home lib scripts
+	cp -R home ${D}/usr/NX || die "Unable to install home folder"
+	cp -R lib ${D}/usr/NX || die "Unable to install lib folder"
+	cp -R scripts ${D}/usr/NX || die "Unable to install scripts folder"
 	cp -R share "${D}"/usr/NX || die "Unable to install share folder"
 	cp -R var "${D}"/usr/NX || die "Unable to install var folder"
 
@@ -72,10 +73,10 @@
 	# only run install when no configuration file is found
 	if [ -f /usr/NX/etc/server.cfg ]; then
 		einfo "Running NoMachine's update script"
-		"${ROOT}"/usr/NX/scripts/setup/nxserver --update
+		"${ROOT}"/usr/NX/scripts/setup/nxserver --update || die "Update script failed"
 	else
 		einfo "Running NoMachine's setup script"
-		"${ROOT}"/usr/NX/scripts/setup/nxserver --install
+		"${ROOT}"/usr/NX/scripts/setup/nxserver --install || die "Installation script failed"
 	fi
 
 	elog "Remember to add nxserver to your default runlevel"



1.15                 net-misc/nxserver-freeedition/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog?rev=1.15&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog?rev=1.15&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog?r1=1.14&r2=1.15

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- ChangeLog	18 Sep 2007 21:52:53 -0000	1.14
+++ ChangeLog	19 Sep 2007 14:51:03 -0000	1.15
@@ -1,6 +1,10 @@
 # ChangeLog for net-misc/nxserver-freeedition
 # Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog,v 1.14 2007/09/18 21:52:53 voyageur Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/nxserver-freeedition/ChangeLog,v 1.15 2007/09/19 14:51:03 voyageur Exp $
+
+  19 Sep 2007; Bernard Cafarelli <voyageur@g.o>
+  nxserver-freeedition-3.0.0-r3.ebuild:
+  Fix files installation mode, added check on postinst
 
   18 Sep 2007; Bernard Cafarelli <voyageur@g.o>
   nxserver-freeedition-3.0.0-r3.ebuild:



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in net-misc/nxserver-freeedition: nxserver-freeedition-3.0.0-r3.ebuild ChangeLog
Next by thread:
gentoo-x86 commit in net-misc/nxserver-freeedition: nxserver-freeedition-3.0.0-r3.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in net-fs/openafs: ChangeLog openafs-1.4.4_p20070724-r1.ebuild
Next by date:
gentoo commit in xml/htdocs/proj/en/council/meeting-logs: 20070816-summary.txt 20070816.txt


Updated Jan 26, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.